package me.icymint.libra.sage.core.result;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * 获取一个数组。
 * 
 * @author Daniel
 * @datetime 2012-11-12上午11:03:05
 * 
 * @param <T>
 */
public class ArrayResult<T> extends AbstractResultHandler<T[]> {
	private final ArrayListResult<T> alr;

	public ArrayResult(Class<T> cls) {
		super(1);
		alr = new ArrayListResult<T>(cls, 1);
	}

	@Override
	public T[] handle(ResultSet rs) throws SQLException {
		if (rs.next()) {
			return alr.handle(rs, 1);
		}
		return null;
	}

}
