package me.icymint.libra.sage.model.orm.pe;

import java.beans.PropertyEditorSupport;

public class PropertyEditorSupports<T> extends PropertyEditorSupport {

	private final Class<T> cls;

	public PropertyEditorSupports(Class<T> cls) {
		this.cls = cls;
	}

	@Override
	@SuppressWarnings("unchecked")
	public T getSource() {
		return (T) super.getSource();
	}

	@Override
	@SuppressWarnings("unchecked")
	public T getValue() {
		return (T) super.getValue();
	}

	@Override
	public void setValue(Object value) {
		if (cls.isInstance(value))
			super.setValue(value);
		else
			throw new IllegalArgumentException("对象" + value + "参数不正确！");
	}
}
